Subject: Re: x2goclient terminates with "WARNING: failed to kill process group '<pid>': No such process

From: Mihai Moldovan <[email-masked]>
Date: Tue, 28 Mar 2017 14:03:11 +0200

Control: close -1
Control: tag -1 not-a-bug

On 27.03.2017 08:58 PM, Seth Galitzer wrote:
> Package: x2goclient
> Version: 4.1.0.0 and 4.1.0.1
> 
> When exiting x2goclient, after a pause of about 2 seconds, the following 
> message is displayed to stderr:
> WARNING: unable to send SIGTERM to process group '<pid>': No such process
> 
> About 10 more seconds later, the following message is displayed to stderr:
> WARNING: failed to kill process group '<pid>': No such process
> 
> In some cases, the first message is not displayed, but the second one 
> always is after about 10-12 seconds. The pid is the same in both message.
> 
> This seems to only affect 4.1.x clients. 4.0.x clients do not seem to 
> have this behavior.

Most of the time, that's perfectly fine and nothing to worry about.

It merely means that x2goclient and its child processes exited cleanly before
the cleanup process could kill them.

If you should ever see stray x2goclient processes left *after* these messages,
then that's something to worry about.

Mihai